package com.kingdee.eas.custom.gy.task;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class TaskFacadeFactory
{
    private TaskFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.gy.task.ITaskFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gy.task.ITaskFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("2BE22BA4") ,com.kingdee.eas.custom.gy.task.ITaskFacade.class);
    }
    
    public static com.kingdee.eas.custom.gy.task.ITaskFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gy.task.ITaskFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("2BE22BA4") ,com.kingdee.eas.custom.gy.task.ITaskFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gy.task.ITaskFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gy.task.ITaskFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("2BE22BA4"));
    }
    public static com.kingdee.eas.custom.gy.task.ITaskFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gy.task.ITaskFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("2BE22BA4"));
    }
}